Bug 279021 - refer= syntax is both strange and has bad error reporting
Summary: refer= syntax is both strange and has bad error reporting
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-05 18:38 UTC by Eric Paris
Modified: 2008-04-25 15:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 15:26:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eric Paris 2007-09-05 18:38:18 UTC
Description of problem:

I created an /etc/exports file with

/export/referral *(fsid=0,refer=hostname:/some_export)

The man page does actually say the syntax is supposed to be

/export/referral *(fsid=0,refer=/some_export@hostname)

question is why are we throwing eons of nfs syntax out the window?  Hasn't it
always been hostname:export ?  At the very least if the 'wrong' syntax is given
there needs to be some error message that it isn't going to work rather than
just silently failing.

Please add 'normal' syntax if possible and if not, at least give me an error
that there was something wrong.

Comment 1 Bug Zapper 2008-04-04 13:46:17 UTC
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.


Note You need to log in before you can comment on or make changes to this bug.